## libnoise-1.0.0-7.src.tar.gz

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(libnoise)

SET (LIBNOISE_SRC
	src/latlon.cpp
	src/model/cylinder.cpp
	src/model/line.cpp
	src/model/plane.cpp
	src/model/sphere.cpp
	src/module/abs.cpp
	src/module/add.cpp
	src/module/billow.cpp
	src/module/blend.cpp
	src/module/cache.cpp
	src/module/checkerboard.cpp
	src/module/clamp.cpp
	src/module/const.cpp
	src/module/curve.cpp
	src/module/cylinders.cpp
	src/module/displace.cpp
	src/module/exponent.cpp
	src/module/invert.cpp
	src/module/max.cpp
	src/module/min.cpp
	src/module/modulebase.cpp
	src/module/multiply.cpp
	src/module/perlin.cpp
	src/module/power.cpp
	src/module/ridgedmulti.cpp
	src/module/rotatepoint.cpp
	src/module/scalebias.cpp
	src/module/scalepoint.cpp
	src/module/select.cpp
	src/module/spheres.cpp
	src/module/terrace.cpp
	src/module/translatepoint.cpp
	src/module/turbulence.cpp
	src/module/voronoi.cpp
	src/noisegen.cpp
)

set (BASE_HEADERS
	src/basictypes.h
	src/exception.h
	src/interp.h
	src/latlon.h
	src/mathconsts.h
	src/misc.h
	src/noise.h
	src/noisegen.h
	src/vectortable.h
)

SET (MODEL_HEADERS
	src/model/cylinder.h
	src/model/line.h
	src/model/model.h
	src/model/plane.h
	src/model/sphere.h
)

SET (MODULE_HEADERS
	src/module/abs.h
	src/module/add.h
	src/module/billow.h
	src/module/blend.h
	src/module/cache.h
	src/module/checkerboard.h
	src/module/clamp.h
	src/module/const.h
	src/module/curve.h
	src/module/cylinders.h
	src/module/displace.h
	src/module/exponent.h
	src/module/invert.h
	src/module/max.h
	src/module/min.h
	src/module/module.h
	src/module/modulebase.h
	src/module/multiply.h
	src/module/perlin.h
	src/module/power.h
	src/module/ridgedmulti.h
	src/module/rotatepoint.h
	src/module/scalebias.h
	src/module/scalepoint.h
	src/module/select.h
	src/module/spheres.h
	src/module/terrace.h
	src/module/translatepoint.h
	src/module/turbulence.h
	src/module/voronoi.h
)

ADD_LIBRARY (noise SHARED ${LIBNOISE_SRC})
SET_TARGET_PROPERTIES (noise PROPERTIES VERSION 1.0.0)
INSTALL(TARGETS noise DESTINATION lib)
INSTALL(FILES ${BASE_HEADERS} DESTINATION "include/noise")
INSTALL(FILES ${MODEL_HEADERS} DESTINATION "include/noise/model")
INSTALL(FILES ${MODULE_HEADERS} DESTINATION "include/noise/module")

=== PKGBUILD ===
# Maintainer: Sven-Hendrik Haase <svenstaro@gmail.com>
# Contributor: jimmy-6
pkgname=libnoise
pkgver=1.0.0
pkgrel=7
pkgdesc="A portable, open-source, coherent noise-generating library for C++"
arch=('x86_64')
url="http://libnoise.sourceforge.net/"
license=('LGPL')
makedepends=('cmake' 'unzip')
source=("https://prdownloads.sourceforge.net/libnoise/libnoisesrc-${pkgver}.zip"
        "CMakeLists.txt")
noextract=("libnoisesrc-${pkgver}.zip")
sha512sums=('02fd600ad60d668d230ecc9d2f34020c0e3b8d1365c9ec78ae795c7031224fc2624080764824a4f899571d848587578c80a70e879b22463774435f16c3d06529'
            '2aff377667962bcc1b7af7e4957af112be2c8837df6a5010b6bfc243a62e100f3b10f7fec8de1021d269521f77d490c6f71b4db0ba392c04df2b438bc13b789b')

build() {
  unzip "libnoisesrc-${pkgver}.zip"
  cp 'CMakeLists.txt' 'noise'
  mkdir build
  cd build
  cmake ../noise \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_SKIP_RPATH=ON
  make
}

package() {
  cd build
  make DESTDIR="${pkgdir}" install
}
